version: '3.1'

services:

  mysql:
    image: mysql:8.1.0
    restart: always
    command: 
     - --default-authentication-plugin=mysql_native_password
       #     - --require_secure_transport=OFF
       #     - --ssl=0
       #     - --skip_ssl 
    networks:
      - posmysql
    environment:
       MYSQL_ROOT_PASSWORD: Er95Adi7gEZvX
    volumes:
      - ./database:/var/lib/mysql
  phpMyadmin:
    image: phpmyadmin
    restart: always
    depends_on:
      - mysql
    networks:
      - posmysql
    ports:
      - 8081:80
    environment:
      PMA_HOST: mysql
    volumes:
      - /home/data/mysql/uploads.ini:/usr/local/etc/php/conf.d/uploads.ini      

networks:       
      posmysql:
        external: true
